Bug 35916

Summary: [EFL] Add ContextMenuClientEfl.{cpp,h} to WebKit/efl/WebCoreSupport
Product: WebKit Reporter: Leandro Pereira <leandro>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Enhancement CC: barbieri, bunhere, commit-queue, eric, gns, gyuyoung.kim, hyuki.a.kim, hyuki.kim, joone.hur, kenneth, rakuco, tonikitoo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Add ContextMEnuClientEfl to WK/efl/WebCoreSupport.
eric: review-
Add ContextMEnuClientEfl to WK/efl/WebCoreSupport. none

Description Leandro Pereira 2010-03-09 06:22:14 PST
+++ This bug was initially created as a clone of Bug #35059 +++

Attached patch adds EFL's implementation of ContextMenuClient to
WebKit/efl/WebCoreSupport.
Comment 1 Leandro Pereira 2010-03-09 06:23:08 PST
Created attachment 50299 [details]
Add ContextMEnuClientEfl to WK/efl/WebCoreSupport.
Comment 2 Eric Seidel (no email) 2010-03-15 15:33:13 PDT
Comment on attachment 50299 [details]
Add ContextMEnuClientEfl to WK/efl/WebCoreSupport. 

Style error:
 56     Evas_Object *m_view;

WebCore:: is not needed in a bunch of these:
+    virtual void searchWithGoogle(const WebCore::Frame*);

All these copyrights in the .h file aren't needed:
+/*
+ * Copyright (C) 2006 Zack Rusin <zack@kde.org>
+ * Copyright (C) 2008 INdT - Instituto Nokia de Tecnologia
+ * Copyright (C) 2009-2010 ProFUSION embedded systems
+ * Copyright (C) 2009-2010 Samsung Electronics
Comment 3 Eric Seidel (no email) 2010-03-15 15:33:25 PDT
The old copyrights, I mean.
Comment 4 Leandro Pereira 2010-03-16 06:54:18 PDT
Created attachment 50787 [details]
 Add ContextMEnuClientEfl to WK/efl/WebCoreSupport.
Comment 5 Kenneth Rohde Christiansen 2010-03-16 07:44:39 PDT
(In reply to comment #3)
> The old copyrights, I mean.

hmm, but if the code was based on older code with other copyright, you cannot just remove them, unless all of the code was rewritten.
Comment 6 Kenneth Rohde Christiansen 2010-03-16 08:06:56 PDT
(In reply to comment #5)
> (In reply to comment #3)
> > The old copyrights, I mean.
> 
> hmm, but if the code was based on older code with other copyright, you cannot
> just remove them, unless all of the code was rewritten.

Ah sorry, I didn't notice it was just a stub :-)
Comment 7 WebKit Commit Bot 2010-03-16 11:56:51 PDT
Comment on attachment 50787 [details]
 Add ContextMEnuClientEfl to WK/efl/WebCoreSupport. 

Clearing flags on attachment: 50787

Committed r56075: <http://trac.webkit.org/changeset/56075>
Comment 8 WebKit Commit Bot 2010-03-16 11:56:56 PDT
All reviewed patches have been landed.  Closing bug.